﻿<aside ng-if="if.isDesignMode()" id="sideBar" class="col-sm-1 hidden-xs">
    <h3>Toolbox</h3>
    <div>
        <div class="toolbox box ">
            <ul class="list-unstyled text-center">
                <li ng-repeat="item in AddableElements"
                    dnd-draggable="item"
                    dnd-type="item.Type"
                    dnd-effect-allowed="copy"
                    dnd-dragstart="prepareToAddNew(item)">
                    <p ng-if="item.Type == 'JbPTitlePack'" data-jb-setting="toolboxTitlePack">
                        <img src="~/Images/Student/Season/JbPTitlePack.png" alt="Title" />
                        Section
                    </p>
                    <p ng-if="item.Type == 'JbPDivider'" data-jb-setting="toolboxDivider">
                        <img src="~/Images/Student/Season/JbPDivider.png" alt="Title" />
                        Divider
                    </p>
                    <p ng-if="item.Type == 'JbPSection'" data-jb-setting="toolboxSection">
                        <img src="~/Images/Student/Season/JbPSection.png" alt="Title" />
                        Program Section
                    </p>
                    <p ng-if="item.Type == 'JbPGrid'" data-jb-setting="toolboxGrid">
                        <img src="~/Images/Student/Season/JbPGrid.png" alt="Title" />
                        Program List
                    </p>

                    <p ng-if="item.Type == 'JbPVideo'" data-jb-setting="toolboxVideo" >
                        <img src="~/Images/Student/Season/JbPVideo.png" alt="Title" />
                        Video
                    </p>
                   
                    <p ng-if="item.Type == 'JbPRegLink'" data-jb-setting="toolboxRegLink">
                        <img src="~/Images/Student/Season/JbPRegLink.png" alt="Title" />
                        Program
                    </p>
                    <p ng-if="item.Type == 'JbPBeforeAfterCareRegLinks'">
                        <img src="~/Images/Student/Season/JbPBeforeAfterCareRegLinks.png" data-jb-setting="toolboxBeforeAfterCareProgram" alt="Title" />
                        Before/After Care Program
                    </p>
                    <p ng-if="item.Type == 'JbPRegBtn'" data-jb-setting="toolboxRegBtn">
                        <img src="~/Images/Student/Season/JbPRegBtn.png" alt="Title" />
                        Registration Button
                    </p>
                    <p ng-if="item.Type == 'JbPSeasonCalendar'" data-jb-setting="toolboxSeasonCalendar">
                        <img src="~/Images/Student/Season/JbSchedule.png" alt="Title" />
                        Season Calendar
                    </p>
                    <p ng-if="item.Type == 'JbPSeasonGrid'" data-jb-setting="toolboxSeasonGrid">
                        <img src="~/Images/Student/Season/JBGrid.png" alt="Title" />
                        Season Grid
                    </p>
                    <p ng-if="item.Type == 'JbPContact'" data-jb-setting="toolboxContact">
                        <img src="~/Images/Student/Season/JbPContact.png" alt="Title" />
                        Contact Info
                    </p>
                    <p ng-if="item.Type == 'JbPMap'">
                        <img src="~/Images/Student/Season/JbMap.png" data-jb-setting="toolboxMap" alt="Title" />
                        Map
                    </p>
                    <p ng-if="item.Type == 'JbPImageGallery'">
                        <img src="~/Images/JbPage/JbPGallery.png" data-jb-setting="toolboxImageGallery" alt="Title" />
                        Image Gallery
                    </p>
                    <p ng-if="item.Type == 'JbPImageSlider'">
                        <img src="~/Images/JbPage/JbPSlider.png" data-jb-setting="toolboxImageSlider" alt="Title" />
                        Image Slider
                    </p>        
                </li>
            </ul>
        </div>
    </div>
</aside>
